### File

`packages/core/src/lib/components/layout/euim-language-selector/euim-language-list.component.ts`

### Implements

`OnInit`

### Metadata

changeDetection | `ChangeDetectionStrategy.OnPush`
selector | `euim-language-list`
imports | `EuimAvatarModule` `EuimLabelModule` `IonicModule` `EuimEmptyListPlaceholderModule` `TranslateModule`
templateUrl | `euim-language-list.component.html`

### Index

###### Properties

- euLanguageList
- hasSearchbar
- languages
- nonEULanguageList
- results
- selectedLanguage

###### Methods

- isLastElementOfArray
- onLanguageSelected

### Constructor

`constructor(modalCtrl: ModalController, i18nService: I18nService)`

Parameters :

Name | Type | Optional
modalCtrl | `ModalController` | No
i18nService | `I18nService` | No

### Methods

isLastElementOfArray
`isLastElementOfArray(array: T[], element: T)`

Type parameters :

- T

Parameters :

Name | Type | Optional
array | `T[]` | No
element | `T` | No

Returns : `boolean`

onLanguageSelected
`onLanguageSelected(language: EuiLanguage)`

Parameters :

Name | Type | Optional
language | `EuiLanguage` | No

Returns : `void`

### Properties

euLanguageList
Type : `EuiLanguage[]`

hasSearchbar
Type : `boolean`

languages
Type : `EuiLanguage[]`

nonEULanguageList
Type : `EuiLanguage[]`

results
Type : `EuiLanguage[]`

selectedLanguage
Type : `EuiLanguage`

# results matching ""

# No results matching ""